YourNextHome
API ReferenceEstate

Quick project setup: create estate + building + navigator

POST
/api/v1/estate/setup

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/api/v1/estate/setup" \  -H "Content-Type: application/json" \  -d '{    "name": "string"  }'
{
  "estate": {
    "id": "string",
    "name": "string",
    "description": "string",
    "organizationId": "string",
    "slug": "string",
    "photoUrl": "string",
    "navigatorId": "string",
    "organization": {
      "id": "string",
      "name": "string",
      "featureFlags": [
        "estates"
      ]
    },
    "buildings": [
      {
        "id": "string",
        "name": "string",
        "description": "string",
        "features": [
          {
            "name": "string",
            "description": "string",
            "type": "parking"
          }
        ],
        "source": "string"
      }
    ],
    "integrationType": "VOX_DEVELOPER",
    "isPreview": true,
    "subscriptionStatus": "DRAFT",
    "manuallyActivatedAt": "string",
    "manuallyActivatedById": "string",
    "createdAt": "2019-08-24T14:15:22Z"
  },
  "building": {
    "id": "string",
    "name": "string",
    "description": "string",
    "features": [
      {
        "name": "string",
        "description": "string",
        "type": "parking"
      }
    ],
    "source": "string"
  },
  "navigator": {
    "id": "string",
    "referenceId": "string",
    "seoTitle": "string",
    "seoDescription": "string",
    "seoOgImage": "string",
    "referenceType": "estate",
    "type": "image",
    "images": [
      {
        "id": "string",
        "angle": 0,
        "name": "string",
        "imageUrl": "string",
        "isMarketingStop": true,
        "highlightLabel": "string",
        "shapes": [
          {
            "id": "string",
            "name": "string",
            "description": "string",
            "referenceId": "string",
            "referenceType": "string",
            "shape": "string",
            "createdAt": "2019-08-24T14:15:22Z"
          }
        ],
        "pois": [
          {
            "id": "string",
            "data": {
              "panoramaId": "string",
              "startingPanoramaId": "string",
              "type": "string"
            },
            "x": 0,
            "y": 0,
            "createdAt": "2019-08-24T14:15:22Z"
          }
        ],
        "createdAt": "2019-08-24T14:15:22Z"
      }
    ],
    "createdAt": "2019-08-24T14:15:22Z",
    "options": {
      "sourceWidth": 0,
      "sourceHeight": 0,
      "overlayWidth": 0,
      "overlayHeight": 0,
      "startingAngle": 0,
      "hideFilters": [
        "string"
      ],
      "hideColumns": [
        "string"
      ],
      "navigatorName": "string",
      "canFreelyRotate": true,
      "disableHidingSidebar": true,
      "noApartmentsViewer": true,
      "mirroredRotationCameraMovement": true,
      "isLoopable": true,
      "minimalSidebarWidthPercent": 0,
      "favouritesEnabled": true,
      "compassEnabled": true,
      "northFrameIndex": 0,
      "customTheme": {
        "fontFamily": "fantasy",
        "--background": "string",
        "--foreground": "string",
        "--primary": "string",
        "--primary-foreground": "string",
        "--secondary": "string",
        "--secondary-foreground": "string",
        "--muted": "string",
        "--muted-foreground": "string",
        "--destructive": "string",
        "--destructive-foreground": "string",
        "--border": "string",
        "--input": "string",
        "--ring": "string",
        "--apartment-active-stroke": "string",
        "--apartment-active-fill": "string",
        "--apartment-booked-stroke": "string",
        "--apartment-booked-fill": "string",
        "--apartment-sold-stroke": "string",
        "--apartment-sold-fill": "string",
        "--apartment-hidden-fill": "string",
        "--apartment-hidden-stroke": "string",
        "--promoted": "string",
        "--promoted-foreground": "string"
      }
    },
    "nested": [
      {
        "id": "string",
        "referenceId": "string",
        "seoTitle": "string",
        "seoDescription": "string",
        "seoOgImage": "string",
        "referenceType": "estate",
        "type": "image",
        "images": [
          {
            "id": "string",
            "angle": 0,
            "name": "string",
            "imageUrl": "string",
            "isMarketingStop": true,
            "highlightLabel": "string",
            "shapes": [
              {
                "id": "string",
                "name": "string",
                "description": "string",
                "referenceId": "string",
                "referenceType": "string",
                "shape": "string",
                "createdAt": "2019-08-24T14:15:22Z"
              }
            ],
            "pois": [
              {
                "id": "string",
                "data": {
                  "panoramaId": "string",
                  "startingPanoramaId": "string",
                  "type": "string"
                },
                "x": 0,
                "y": 0,
                "createdAt": "2019-08-24T14:15:22Z"
              }
            ],
            "createdAt": "2019-08-24T14:15:22Z"
          }
        ],
        "createdAt": "2019-08-24T14:15:22Z",
        "options": {
          "sourceWidth": 0,
          "sourceHeight": 0,
          "overlayWidth": 0,
          "overlayHeight": 0,
          "startingAngle": 0,
          "hideFilters": [
            "string"
          ],
          "hideColumns": [
            "string"
          ],
          "navigatorName": "string",
          "canFreelyRotate": true,
          "disableHidingSidebar": true,
          "noApartmentsViewer": true,
          "mirroredRotationCameraMovement": true,
          "isLoopable": true,
          "minimalSidebarWidthPercent": 0,
          "favouritesEnabled": true,
          "compassEnabled": true,
          "northFrameIndex": 0,
          "customTheme": {
            "fontFamily": "fantasy",
            "--background": "string",
            "--foreground": "string",
            "--primary": "string",
            "--primary-foreground": "string",
            "--secondary": "string",
            "--secondary-foreground": "string",
            "--muted": "string",
            "--muted-foreground": "string",
            "--destructive": "string",
            "--destructive-foreground": "string",
            "--border": "string",
            "--input": "string",
            "--ring": "string",
            "--apartment-active-stroke": "string",
            "--apartment-active-fill": "string",
            "--apartment-booked-stroke": "string",
            "--apartment-booked-fill": "string",
            "--apartment-sold-stroke": "string",
            "--apartment-sold-fill": "string",
            "--apartment-hidden-fill": "string",
            "--apartment-hidden-stroke": "string",
            "--promoted": "string",
            "--promoted-foreground": "string"
          }
        },
        "nested": [],
        "isPreview": true
      }
    ],
    "isPreview": true
  }
}